Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
tulipden87

Bắt tâm của một hình bất kỳ

Các bài được khuyến nghị

Do yêu cầu của công việc nên mình cần phải bắt điểm trọng tâm của một hình bất kỳ.

Không biết trong cad có lệnh nào bắt được tâm của một hình vẽ bất kỳ không? Mong các Pro chỉ giáo giùm mình. Xin cảm ơn rất nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Do yêu cầu của công việc nên mình cần phải bắt điểm trọng tâm của một hình bất kỳ.

Không biết trong cad có lệnh nào bắt được tâm của một hình vẽ bất kỳ không? Mong các Pro chỉ giáo giùm mình. Xin cảm ơn rất nhiều

mình ko biết có lệnh nào trực tiếp ko! còn mình thì thường REG hình đó vào rồi lệnh massprop sẽ cho trọn tâm.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
mình ko biết có lệnh nào trực tiếp ko! còn mình thì thường REG hình đó vào rồi lệnh massprop sẽ cho trọn tâm.

Rất cảm ơn bạn đã góp ý cho mình. Nhưng mình cũng đã từng dụng lệnh massprop rồi nhưng lệnh này chỉ cho chúng ta biết toạ độ của trọng tâm chứ không bắt được trực tiếp trọng tâm. Muốn bắt được trọng tâm chúng ta lại phải gõ lại toạ độ đó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Do yêu cầu của công việc nên mình cần phải bắt điểm trọng tâm của một hình bất kỳ.

Không biết trong cad có lệnh nào bắt được tâm của một hình vẽ bất kỳ không? Mong các Pro chỉ giáo giùm mình. Xin cảm ơn rất nhiều

Trngtmkhi3D.jpg

 

Giả sử bạn cần bắt điểm trọng tâm hình 2D như hình vẽ, trước tiên bạn phải vẽ hình 3D với chiều dầy là là 1 rồi tiến hành như sau:

1- Vào : Tools > Inquiri > Region/ Mass Properties > Chọn đối tượng, Enter sẽ hiện ra bảng có thông số sau:

……………………

Centroid: X: 243.4906

Y: -396.0639

Z: 0.5000

Phía dưới có dòng : Fress ENTER Continue

 

2- Tiếp theo bạn nhấn Esc hai lần, rồi ấn F2 sẽ hiện ra bảng sau:

………………………………………

Centroid: X: 243.4906

Y: -396.0639

Z: 0.5000

Dòng dưới cùng có dòng chữ : Command:

3- Tại dòng lệnh này bạn dùng lệnh vẽ đoạn thẳng:

-Bước1: Command: nh L > Enter > Tiếp theo bạn nhập tọa độ( x,y), không cần nhập Z

-Bước2: Command: 1 LINE Specify First point: 243.4906, -396.0639

-Bước3: bạn nhấn nút Minimize (góc trải phía trên) rồi Enter là đầu của đoạn thẳng sẽ bắt điểm vào trọng tâm của hình D.

( Trọng tâm của hình tại điểm M cách tâm O : 12,6. Đây là cách tôi thường là để tính tâm lực dập dùng khi thiết kế khuôn đột dập. Ngoài ra còn ứng dụng cho việc tính trọng tâm máy móc thiết bị khi vận chuyển bắng xe ô tô. Nhờ biết trọng tâm nên khi vận chuyển, phải tính thêm cả đối trọng để cân xe, giảm thiểu khả năng gây tai nạn khi xe đi vào khúc cua).

 

Đây là File bản vẽ :

 

http://www.cadviet.com/upfiles/Tr7885ng_tm.rar

 

Có thể tham khảo bài viết:

http://www.cadviet.com/forum/index.php?showtopic=5880

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Trngtmkhi3D.jpg

 

Giả sử bạn cần bắt điểm trọng tâm hình 2D như hình vẽ, trước tiên bạn phải vẽ hình 3D với chiều dầy là là 1 rồi tiến hành như sau:

1- Vào : Tools > Inquiri > Region/ Mass Properties > Chọn đối tượng, Enter sẽ hiện ra bảng có thông số sau:

……………………

Centroid: X: 243.4906

Y: -396.0639

Z: 0.5000

Phía dưới có dòng : Fress ENTER Continue

 

2- Tiếp theo bạn nhấn Esc hai lần, rồi ấn F2 sẽ hiện ra bảng sau:

………………………………………

Centroid: X: 243.4906

Y: -396.0639

Z: 0.5000

Dòng dưới cùng có dòng chữ : Command:

3- Tại dòng lệnh này bạn dùng lệnh vẽ đoạn thẳng:

-Bước1: Command: nh L > Enter > Tiếp theo bạn nhập tọa độ( x,y), không cần nhập Z

-Bước2: Command: 1 LINE Specify First point: 243.4906, -396.0639

-Bước3: bạn nhấn nút Minimize (góc trải phía trên) rồi Enter là đầu của đoạn thẳng sẽ bắt điểm vào trọng tâm của hình D.

( Trọng tâm của hình tại điểm M cách tâm O : 12,6. Đây là cách tôi thường là để tính tâm lực dập dùng khi thiết kế khuôn đột dập. Ngoài ra còn ứng dụng cho việc tính trọng tâm máy móc thiết bị khi vận chuyển bắng xe ô tô. Nhờ biết trọng tâm nên khi vận chuyển, phải tính thêm cả đối trọng để cân xe, giảm thiểu khả năng gây tai nạn khi xe đi vào khúc cua).

 

Đây là File bản vẽ :

 

http://www.cadviet.com/upfiles/Tr7885ng_tm.rar

 

Có thể tham khảo bài viết:

http://www.cadviet.com/forum/index.php?showtopic=5880

Rất cảm ơn bác. Tuy nhiên có một điều em chưa hiểu đó là bác phải tạo hình 3D để làm gì, trong khi đối với hình 2D bác cũng có thể sử dụng lệnh massprop rồi và cuối cùng cũng là phải nhập lại toạ độ của trọng tâm. Ở đây em muốn là chúng ta bắt luôn được trọng tâm của hinh cơ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Rất cảm ơn bác. Tuy nhiên có một điều em chưa hiểu đó là bác phải tạo hình 3D để làm gì, trong khi đối với hình 2D bác cũng có thể sử dụng lệnh massprop rồi và cuối cùng cũng là phải nhập lại toạ độ của trọng tâm. Ở đây em muốn là chúng ta bắt luôn được trọng tâm của hinh cơ.

Vấn đề này CADViet đã đề cập rồi, bạn xem ở đây: tìm trọng tâm của 1 đối tượng kín

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Rất cảm ơn bác. Tuy nhiên có một điều em chưa hiểu đó là bác phải tạo hình 3D để làm gì, trong khi đối với hình 2D bác cũng có thể sử dụng lệnh massprop rồi và cuối cùng cũng là phải nhập lại toạ độ của trọng tâm. Ở đây em muốn là chúng ta bắt luôn được trọng tâm của hinh cơ.

 

Với hình 2D không thể sử dụng lệnh massprop như bạn nói được. Tôi vẫn dựng 3D để xác định trọng tâm của hình phẳng dạng tấm phắng và cả hình 3D có kết cầu phức tạp. Cách làm của tôi nó bắt đúng trọng tâm của hình 3D theo tọa độ XYZ, từ đây ta biết được tọa độ trọng tâm của hình 2D chỉ khác về cao độ Z. Tất nhiên cách làm này không nhanh bằng sử dụng Lisp.

 

Hôm nay, tôi mới biết đến cách tìm trọng của một hình kín bằng lisp của NguyenHoanh.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Do yêu cầu của công việc nên mình cần phải bắt điểm trọng tâm của một hình bất kỳ.

Không biết trong cad có lệnh nào bắt được tâm của một hình vẽ bất kỳ không? Mong các Pro chỉ giáo giùm mình. Xin cảm ơn rất nhiều

bạn dung lệnh reg sau đó dùng lệnh MASSPROP sau đo đc tọa tộa trọng tâm bạn dùng lệnh PO ( vẽ điểm) và đánh tọa độ trọng tâm vừa nãy vào thì đc tọa đọa trọng tâm. Tuy hơi dài nhưng mà đó là công việc bát buộc, mình nghĩ đẻ tìm vài hình trọng tâm thì không lâu.nhưng mà đẻ tìm liền luk nhiều trọng tâm thì cả vấn đè. ai có biết lệnh nào hay thì giới thiệu cho anh em nhé

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
..... ai có biết lệnh nào hay thì giới thiệu cho anh em nhé

Bạn thử đoạn chương trình này xem

Lệnh là tament

Chương trình sẽ vẽ 1 đường line từ gôc (0 0) đến trọng tâm của hình.

(Defun c:tament(/ ob ob1)

(vl-load-com)

(setvar "cmdecho" 0) (setvar "osmode" 0)

(setq ob1 (car (entsel "\nChon Chon 1 duong khep kin")))

(command "region" ob1 "")

(setq ob1 (entlast)

ob (vlax-ename->vla-object ob1)

tamO (vlax-safearray->list (vlax-variant-value (vla-get-Centroid ob)))

)

(setvar "osmode" 0)

(command "line" tamO (list 0 0) "")

(entdel ob1)

(setvar "osmode" 33)

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×